Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1633362 - MDN fails to decrypt for some partners
Summary: MDN fails to decrypt for some partners
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openas2
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 19:32 UTC by Stuart D Gathman
Modified: 2018-10-09 03:08 UTC (History)
1 user (show)

Fixed In Version: openas2-2.6.2-2.fc29 openas2-2.6.2-2.fc27 openas2-2.6.2-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-07 20:58:53 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Stuart D Gathman 2018-09-26 19:32:14 UTC
Description of problem:


Version-Release number of selected component (if applicable):
openas2-2.6.1-7.fc28

How reproducible:
always with some partners. 

Steps to Reproduce:
1. send document to failing partner
2.
3.

Actual results:
2018-09-26 13:32:19.104 FINE AS2Util: received MDN [automatic-action/MDN-sent-automatically; processed/error: decryption-failed] [<OPENAS2-26092018132852-0400-b7485b05-841c-4b47-98c6-814af9a6b91c@editorialunilit_SAN_2475979_PROD_074240599>]
2018-09-26 13:32:19.106 WARNING AS2Util: Disposition exception on MDN. Disposition: automatic-action/MDN-sent-automatically; processed/error: decryption-failed [<OPENAS2-26092018132852-0400-b7485b05-841c-4b47-98c6-814af9a6b91c@editorialunilit_SAN_2475979_PROD_074240599>]
org.openas2.DispositionException: automatic-action/mdn-sent-automatically; processed/error:decryption-failed
	at org.openas2.util.DispositionType.validate(DispositionType.java:107)
	at org.openas2.util.AS2Util.checkMDN(AS2Util.java:187)
	at org.openas2.util.AS2Util.processMDN(AS2Util.java:504)
	at org.openas2.processor.sender.AS2SenderModule.processResponse(AS2SenderModule.java:243)
	at org.openas2.processor.sender.AS2SenderModule.sendMessage(AS2SenderModule.java:216)
	at org.openas2.processor.sender.AS2SenderModule.handle(AS2SenderModule.java:131)
	at org.openas2.processor.DefaultProcessor.handle(DefaultProcessor.java:65)
	at org.openas2.processor.resender.DirectoryResenderModule.processFile(DirectoryResenderModule.java:186)
	at org.openas2.processor.resender.DirectoryResenderModule.resend(DirectoryResenderModule.java:106)
	at org.openas2.processor.resender.BaseResenderModule$PollTask.run(BaseResenderModule.java:34)
	at java.util.TimerThread.mainLoop(Timer.java:555)
	at java.util.TimerThread.run(Timer.java:505)

Expected results:
2018-09-25 15:40:17.469 FINE AS2Util: received MDN [automatic-action/MDN-sent-automatically; processed] [OPENAS2-25092018154017-0400-67dedc4c-f99e-482d-a58d-3a6e4ffebe03@editorialunilit_SAN_2475979_PROD_074240599]
2018-09-25 15:40:17.739 FINE AS2Util: Message sent and MDN received successfully. [OPENAS2-25092018154017-0400-67dedc4c-f99e-482d-a58d-3a6e4ffebe03@editorialunilit_SAN_2475979_PROD_074240599]
2018-09-25 15:40:17.739 FINE AS2Util: deleted /var/lib/openas2/config/../data/pendingMDN3/OPENAS2-25092018154017-0400-67dedc4c-f99e-482d-a58d-3a6e4ffebe03@editorialunilit_SAN_2475979_PROD_074240599 [OPENAS2-25092018154017-0400-67dedc4c-f99e-482d-a58d-3a6e4ffebe03@editorialunilit_SAN_2475979_PROD_074240599]


Additional info:
 Suspect improper handling of chunked encoding.

Comment 1 Fedora Update System 2018-09-26 19:34:39 UTC
openas2-2.6.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2807a71a57

Comment 2 Fedora Update System 2018-09-26 19:34:45 UTC
openas2-2.6.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8320b564e

Comment 3 Fedora Update System 2018-09-26 19:34:50 UTC
openas2-2.6.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce9180096

Comment 4 Fedora Update System 2018-09-27 16:42:50 UTC
openas2-2.6.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8320b564e

Comment 5 Fedora Update System 2018-09-27 17:10:05 UTC
openas2-2.6.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce9180096

Comment 6 Fedora Update System 2018-09-27 18:42:15 UTC
openas2-2.6.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2807a71a57

Comment 7 Fedora Update System 2018-09-28 23:13:20 UTC
openas2-2.6.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8320b564e

Comment 8 Fedora Update System 2018-09-28 23:15:30 UTC
openas2-2.6.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2807a71a57

Comment 9 Fedora Update System 2018-09-28 23:16:19 UTC
openas2-2.6.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce9180096

Comment 10 Fedora Update System 2018-09-30 00:24:36 UTC
openas2-2.6.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8320b564e

Comment 11 Fedora Update System 2018-09-30 00:47:27 UTC
openas2-2.6.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce9180096

Comment 12 Fedora Update System 2018-09-30 03:03:10 UTC
openas2-2.6.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2807a71a57

Comment 13 Fedora Update System 2018-10-07 20:58:53 UTC
openas2-2.6.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-09 03:01:10 UTC
openas2-2.6.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-09 03:08:03 UTC
openas2-2.6.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.